Page MenuHomePhabricator

[libcxx][test][NFC] noexcept tests for std::array
ClosedPublic

Authored by kboyarinov on Dec 14 2021, 2:31 AM.

Details

Summary

Minor change - add tests that std::array methods (data, (c/r)begin, (c/r)end) are noexcept

Diff Detail

Event Timeline

kboyarinov requested review of this revision.Dec 14 2021, 2:31 AM
kboyarinov created this revision.
ldionne accepted this revision.Dec 14 2021, 5:58 AM
ldionne added inline comments.
libcxx/test/std/containers/sequences/array/iterators.pass.cpp
47
This revision is now accepted and ready to land.Dec 14 2021, 5:58 AM

Fix unused variable in check_noexcept

kboyarinov marked an inline comment as done.Dec 17 2021, 6:38 AM
ldionne accepted this revision.Dec 17 2021, 7:39 AM
rarutyun accepted this revision.Dec 18 2021, 4:56 AM
This revision was automatically updated to reflect the committed changes.